function x = newton_pol( p, x0, N )
%Newton mdszer polinomokra
format long;
x = zeros(1,N+1);
x(1) = x0;
for k = 1:N,
    x(k+1)= x(k) - polyval(p,x(k))/polyval(pol_deriv(p),x(k));
end    
d1 = abs(x(3:N) - x(2:N-1));
d2 = abs(x(2:N-1)- x(1:N-2));
q = d1./d2;
plot(1:N-2,q,'.');
format short;
end

